searchservice

Full documentation for this service is available at /documentation/searchservice.

SearchCategoryCount |WebMethod|

Search for category count. Possible errors: "SellerTypeValidationError" - use of non-existing seller type (SellerType). "ModeValidationError" - use of non-existing mode (Mode). "ItemTypeValidationError" - use of non-existing item type (ItemType). "ItemStatusValidationError" - use of non-existing item status (ItemStatus). "ItemConditionValidationError" - use of non-existing item condition (ItemCondition). "SearchStringValidationError" - when searching for invalid search words. "InternalError" - internal error.

Parameters
  1. request, The CategoryCountRequest with search parameters.
Returns

Filled CategoryCountResult object

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/searchservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/SearchCategoryCount"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SearchCategoryCount xmlns="http://api.tradera.com">
      <request>request</request>
    </SearchCategoryCount>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SearchCategoryCountResponse xmlns="http://api.tradera.com">
      <SearchCategoryCountResult>Filled CategoryCountResult object</SearchCategoryCountResult>
    </SearchCategoryCountResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/searchservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SearchCategoryCount xmlns="http://api.tradera.com">
      <request>request</request>
    </SearchCategoryCount>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SearchCategoryCountResponse xmlns="http://api.tradera.com">
      <SearchCategoryCountResult>Filled CategoryCountResult object</SearchCategoryCountResult>
    </SearchCategoryCountResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/searchservice.asmx/SearchCategoryCount?appId=string&appKey=string&request=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SearchCategoryCountResult xmlns="http://api.tradera.com">Filled CategoryCountResult object</SearchCategoryCountResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/searchservice.asmx/SearchCategoryCount HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&request=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SearchCategoryCountResult xmlns="http://api.tradera.com">Filled CategoryCountResult object</SearchCategoryCountResult>